Вопрос: Невозможно установить пакеты для иностранных платформ


Я использую debian wheezy / sid, и он должен поддерживать мультиархитектурная:

$ dpkg --print-foreign-architectures
i386

Однако я не могу установить пакеты (я обязательно существует):

$ sudo apt-get install zlib1g:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package zlib1g

Как установить zlib1g для i386?


0
2017-07-24 16:00


Источник




Ответы:


Убедитесь, что ваш /etc/apt/sources.list  содержит запрошенные архитектуры, Он должен выглядеть

deb [arch=amd64,i386] http://ftp.debian.org/debian sid main contrib
#   ^^^^^^^^^^^^^^^^^

1
2017-07-24 16:00